Subject: bug#59232: 27.2; vc-annotate on SVN does not process all lines

From: Pierre Rouleau <[email-masked]>
Date: Sun, 13 Nov 2022 22:48:06 -0500

On Sun, Nov 13, 2022 at 6:54 PM Stephen Berman <[email-masked]>
wrote:

> On Sun, 13 Nov 2022 13:05:09 -0500 Pierre Rouleau <[email-masked]>
> wrote:
>
> > On Sun, Nov 13, 2022 at 11:40 AM Eli Zaretskii <[email-masked]> wrote:
>
> >  > On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii <[email-masked]> wrote:
> >  >
> >  >  Can you suggest a publicly-accessible SVN repository that can be used
> >  >  for reproducing this problem and testing possible solutions?  It is
> >  >  hard to find repositories that fit your conditions these days.
> >  >
>
> The R development source code is in this publicly accessible SVN
> repository: https://svn.r-project.org/R/trunk/ but I cannot reproduce
> the reported problem with `C-x v g' on a file checked out from that
> repository with more than 6000 lines (> 195 kB) with any version of
> Emacs from 26 through current master.
>
> Thanks Steve.
I created a working directory of that repo inside the same
environment (save version of SVN), same Emacs, same file system, everything)
that I use.

With that R repo I was able to annotate /trunk/configure.  All lines are
annotated.
I did not detect any problem with that repo.

But I still have the problem I reported with files inside the corporate
repo I use.

The difference is the underlying protocol used to access the remote repo.
- The R SVN repo is accessed via a https URL.
- I access the corporate repo using a svn+ssh:// URL.

Is it possible a slow access timing out or a low-level protocol problem
might
be the reason behind the failure?

Is there some setting I could change to test?

Thanks

-- 
/Pierre